cURL
curl --request POST \ --url https://statsigapi.net/console/v1/users/{email} \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "role": "<string>", "firstName": "<string>", "lastName": "<string>" } '
{ "message": "User updated successfully.", "data": { "email": "test@statsig.com", "firstName": "test", "lastName": "user", "role": "admin" } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
email
Schema for updating user information.
Update the user's role. Can be 'Admin', 'Read Only', 'Member', or any custom role name.
Update the user's first name.
Update the user's last name.
Update user response
A simple string explaining the result of the operation.
A single result.
Show child attributes
Was this page helpful?